cURL
curl --request POST \
--url https://api.flare.io/firework/v2/reporting/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"author": "<string>",
"elements": [
{
"id": 123,
"position": 123,
"enabled": true,
"sort_by": "custom",
"time_interval": "<string>"
}
],
"audience": "technical"
}
'import requests
url = "https://api.flare.io/firework/v2/reporting/reports"
payload = {
"title": "<string>",
"author": "<string>",
"elements": [
{
"id": 123,
"position": 123,
"enabled": True,
"sort_by": "custom",
"time_interval": "<string>"
}
],
"audience": "technical"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
author: '<string>',
elements: [
{
id: 123,
position: 123,
enabled: true,
sort_by: 'custom',
time_interval: '<string>'
}
],
audience: 'technical'
})
};
fetch('https://api.flare.io/firework/v2/reporting/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.Reporting
Create Report
POST
/
firework
/
v2
/
reporting
/
reports
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - undefined
Was this page helpful?
⌘I